Package org.springframework.security.access.vote

# Class RoleHierarchyVoter

java.lang.Object
org.springframework.security.access.vote.RoleVoter
org.springframework.security.access.vote.RoleHierarchyVoter

All Implemented Interfaces:
  `AccessDecisionVoter<Object>`

@Deprecated public class RoleHierarchyVoter extends RoleVoter
Deprecated.
Use `AuthorityAuthorizationManager.setRoleHierarchy(org.springframework.security.access.hierarchicalroles.RoleHierarchy)` instead
Extended RoleVoter which uses a `RoleHierarchy` definition to determine the roles allocated to the current user before voting.

Since:
  2.0.4

## Field Summary

### Fields inherited from interface org.springframework.security.access.AccessDecisionVoter

`ACCESS_ABSTAIN, ACCESS_DENIED, ACCESS_GRANTED`

## Constructor Summary

Constructors
Constructor
Description
`RoleHierarchyVoter(RoleHierarchy roleHierarchy)`
Deprecated.

## Method Summary

### Methods inherited from class org.springframework.security.access.vote.RoleVoter

`getRolePrefix, setRolePrefix, supports, supports, vote`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoleHierarchyVoter

public RoleHierarchyVoter(RoleHierarchy roleHierarchy)
Deprecated.